SliceParams.cpp File Reference
`#include "stdinc.h"`
`#include "SliceParams.h"`
`#include "SplitStrategy.h"`
`#include "error.h"`
`#include "CliParams.h"`

Go to the source code of this file.

## Functions

void | addSliceParams (CliParams &params)
void | extractCliValues (SliceParams &slice, const CliParams &cli)
void | validateSplit (const SliceParams &params, bool allowLabel, bool allowDegree)

## Function Documentation

## addSliceParams()

void addSliceParams | ( | CliParams & | params | ) |

Definition at line 47 of file SliceParams.cpp.

## extractCliValues()

void extractCliValues | ( | SliceParams & | slice,
|  | const CliParams & | cli )

Definition at line 50 of file SliceParams.cpp.

## validateSplit()

void validateSplit | ( | const SliceParams & | params,
|  | bool | allowLabel,
|  | bool | allowDegree )

Definition at line 61 of file SliceParams.cpp.